/* Block: categories-list (categories-list) */
.g-68dd93b3 { display: inline-flex; flex-wrap: wrap; gap: var(--size-m); }
.g-68dd93b3 .g-89d07371 { text-decoration: none; background-color: var(--color-surface); min-height: 54px; padding: 8px 32px; border-radius: 54px; text-align: left; transition: .2s ease-in-out filter; }
.g-68dd93b3 .g-89d07371:hover { filter: brightness(0.96); }
.g-68dd93b3 .g-ce6f79f4 { display: flex; justify-content: flex-start; align-items: center; gap: 16px; height: 100%; }
.g-68dd93b3 .g-4e27e6db { font-size: 28px; }
@media screen and (max-width: 1024px) { .g-68dd93b3 { gap: var(--size-s); }
.g-89d07371 { min-height: 50px; padding: 8px 24px; }
 }@media screen and (max-width: 768px) { .g-68dd93b3 { gap: var(--size-xs); }
.g-89d07371 { min-height: 40px; padding: 8px 16px; }
.g-ce6f79f4 { gap: 8px; }
 }

/* Block: category-header (category-header) */
.g-0c6bc413 { padding: var(--size-m) 0 var(--section-padding); }
.g-0c6bc413 .g-38b73969 { display: inline-flex; justify-content: flex-start; align-items: center; padding: var(--size-xxs) var(--size-s); background-color: var(--color-surface); border-radius: var(--b-radius); gap: var(--size-xs); }
.g-0c6bc413 .g-3ef36c37 { margin-top: var(--size-s); }
@media screen and (max-width: 576px) { .g-38b73969 { display: flex; margin: 0 auto; justify-content: center; gap: var(--size-xxs); }
.g-3ef36c37 { margin-top: var(--size-xs); text-align: center; }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-cc986c33 { display: none; position: fixed; bottom: 0; left: 0; width: 100%; padding: var(--size-m); z-index: 3; }
.g-b7814b37 { display: block; }
.g-3f88fcef { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xl); }
.g-6e8fdb21 { width: 195px; display: flex; flex-direction: column; gap: var(--size-xs); }
.g-b93accca { width: 100%; }
@media screen and (max-width: 768px) { .g-cc986c33 { padding: var(--size-s); }
.g-3f88fcef { text-align: center; gap: var(--size-s); flex-direction: column; }
.g-6e8fdb21 { width: 100%; flex-direction: row; justify-content: center; flex-wrap: wrap; }
.g-b93accca { width: auto; }
 }@media screen and (max-width: 576px) { .g-6e8fdb21 { gap: var(--size-xxs); }
 }

/* Block: featured-posts (featured-posts) */
.g-5c5f50c7 { margin-top: var(--size-m); }
.g-d38dbf8a { margin-top: var(--size-m); }
.g-eb8f36aa { margin-top: var(--size-xl); }
.g-a98dbc26 { align-items: stretch; }
.g-95ff570f { height: auto; }
.g-f4f85de1 { display: flex; justify-content: center; align-items: center; gap: 8px; margin-top: var(--size-s); height: 15px; }
.g-f4f85de1 .g-2275c0ac { width: 12px; height: 12px; margin: 0; border-radius: 50%; background: var(--color-surface); opacity: 1; transition: background .2s ease, transform .2s ease; }
.g-f4f85de1 .g-c9e25379 { background: var(--color-primary); transform: scale(1.2); }
.g-a68b6427 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }

/* Block: footer (footer) */
.g-2dfc6acd { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-2f4b804e { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-2f4b804e.g-e720abd8 { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-ad840e4d { margin-top: var(--section-padding); background-color: var(--color-primary); color: var(--color-text-light); }
.g-2ef66585 { display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); }
.g-8e25568c { max-width: 563px; }
.g-8c8c605e { max-width: 465px; }
.g-f9c7df61 { margin-top: var(--size-xs); }
.g-45e0dbd8 { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-71d029ae { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-69b5c3d0 { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-69b5c3d0:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-57e54aec { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-dd7c01fc { transform: scale(1.2); margin-right: var(--size-xs); }
.g-2f9104dc { background-color: var(--color-secondary); color: var(--color-text-light); padding: var(--size-xl) 0 var(--size-m); }
.g-e8b60efb { display: flex; justify-content: space-between; align-items: center; }
.g-25d7363a { display: flex; justify-content: flex-end; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); }
.g-a6a8966e { margin-top: var(--size-xl); display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-8e25568c { max-width: 550px; }
.g-8c8c605e { max-width: 550px; }
 }@media screen and (max-width: 870px) { .g-e8b60efb { align-items: flex-start; justify-content: flex-start; flex-direction: column; gap: var(--size-m); }
.g-25d7363a { justify-content: flex-start; }
 }@media screen and (max-width: 768px) { .g-a6a8966e { flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-af560383 { order: 3; }
 }@media screen and (max-width: 576px) { .g-2ef66585 { gap: var(--size-m); }
.g-45e0dbd8 { flex-direction: column; gap: var(--size-xxs); }
.g-71d029ae { width: 100%; }
.g-69b5c3d0 { width: 100%; }
.g-25d7363a { flex-direction: column; align-items: flex-start; }
 }

/* Block: header (header) */
#navigation-modal li {
    list-style: none;
}
#navigation-modal .menu-item,
#navigation-modal .page_item {
    transition: color .2s ease-out;
}
#navigation-modal .menu-item:hover,
#navigation-modal .menu-item a:hover,
#navigation-modal .page_item:hover,
#navigation-modal .page_item a:hover {
    color: var(--color-primary);
}
#navigation-modal .current-menu-item,
#navigation-modal .current_page_item,
#navigation-modal .current-menu-item a,
#navigation-modal .current_page_item a {
    color: var(--color-primary);
}

.g-24d54b05 { position: sticky; top: 0; background-color: var(--color-secondary); color: var(--color-text-light); z-index: 5; }
.g-5a68b149 { display: flex; justify-content: space-between; align-items: center; height: 80px; position: relative; }
.g-65f100f4 { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; text-decoration: none; }
.g-17dd3b2e { font-size: 36px; margin-right: var(--size-xs); }
.g-ac248f9b { font-size: 24px; font-weight: 600; }
.g-857380ae { display: flex; justify-content: flex-end; align-items: center; gap: var(--size-xs); }
.g-b2355c3d { text-decoration: none; white-space: nowrap; padding: var(--size-xxs); transition: opacity 0.2s ease; }
.g-b2355c3d:hover { opacity: 0.7; }
.g-0cd792a6 { display: none; flex-direction: column; gap: 5px; border: 0; background-color: transparent; padding: 10px; }
.g-c4c4c89d { width: 32px; height: 3px; }
@media screen and (max-width: 768px) { .g-803aedff { position: absolute; right: 0; bottom: 0; transform: translateY(100%); background-color: var(--color-surface); width: 260px; padding: var(--size-m); box-shadow: 0 4px 20px var(--input-bg); display: none; }
.g-803aedff.g-ab4cba3b { display: block; }
.g-857380ae { gap: var(--size-m); flex-direction: column; align-items: flex-start; color: var(--color-text); }
.g-0cd792a6 { display: flex; cursor: pointer; }
 }@media screen and (max-width: 576px) { .g-803aedff { width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-4028a82e { padding: var(--size-xl) 0; }
.g-1ebe1bb0 { max-width: 565px; margin: 0 auto; text-align: center; }
.g-5c6797b6 { margin-top: var(--size-s); }
.g-9b2328b2 { margin-top: var(--size-m); }
@media screen and (max-width: 576px) { .g-5c6797b6 { margin-top: var(--size-xs); }
.g-9b2328b2 { margin-top: var(--size-s); }
 }

/* Block: page-404 (page-404) */
.g-4325a38d { display: flex; justify-content: center; align-items: center; flex-direction: column; }
.g-1433aa56 { fill: var(--color-text-description); max-width: 100%; height: auto; }
.g-98ae7767 { text-align: center; margin-top: var(--size-xl); }
.g-b875e3f4 { text-align: center; margin-top: var(--size-s); }
.g-9ddf1825 { text-align: center; }
@media screen and (max-width: 768px) { .g-98ae7767 { margin-top: var(--size-m); }
 }

/* Block: page-content (page-content) */
.g-aee67a3d { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-aee67a3d { padding: var(--size-xs); }
 }

/* Block: page-header (page-header) */
.g-2c01dd72 { position: relative; padding: var(--size-m) 0 80px; overflow: hidden; color: var(--color-text-light); }
.g-9444f53b { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: -1; }
.g-9444f53b::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(180deg, rgba(0, 0, 0, 0.4) 3.41%, #191917 94.77%); }
.g-093e0055 { max-width: 670px; margin: var(--size-m) auto 0; text-align: center; }
.g-090e989a { margin-top: var(--size-xs); }
@media screen and (max-width: 768px) { .g-2c01dd72 { padding-bottom: 50px; }
 }@media screen and (max-width: 576px) { .g-2c01dd72 { padding-bottom: 40px; }
 }

/* Block: pagination (pagination) */
.g-2f0e9445 .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-2f0e9445 .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
}

.g-2f0e9445 .page-numbers:hover {
    box-shadow: 0px 0px 0px 1px var(--color-secondary);
}

.g-2f0e9445 .prev {
    left: 0;
    transform: translateX(calc(-100% - 44px));
    color: var(--color-secondary);
}

.g-2f0e9445 .prev::before {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-2f0e9445 .next {
    right: 0;
    transform: translateX(calc(100% + 44px));
    color: var(--color-secondary);
}

.g-2f0e9445 .next::after {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
    transform: scale(-1);
}

.g-2f0e9445 .prev,
.g-2f0e9445 .next {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
        color: var(--color-text);
}

.g-2f0e9445 .prev,
.g-2f0e9445 .next,
.g-2f0e9445 .current {
    box-shadow: 0px 0px 0px 1px var(--color-text);
}

@media screen and (max-width: 768px) {
    .g-2f0e9445 .prev,
    .g-2f0e9445 .next {
        position: static;
        margin-top: 0;
        transform: none;
    }
}

@media screen and (max-width: 576px) {
    .g-2f0e9445 .prev::before,
    .g-2f0e9445 .next::after {
        display: none;
    }
}

.g-2f0e9445 { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-2f0e9445 { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-ec1c11c8 { width: 100%; position: relative; border-radius: var(--b-radius); overflow: hidden; color: var(--color-text-light); min-height: 368px; }
.g-ec1c11c8 .g-40e7fe05 { padding: 24px; position: absolute; inset: 0; width: 100%; height: 100%; text-decoration: none; display: flex; flex-direction: column; }
.g-ec1c11c8 .g-40e7fe05:hover .g-1b7c2b1e { transform: translateY(0); transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1); }
.g-ec1c11c8 .g-e1264a6d { position: absolute; inset: 0; z-index: -1; width: 100%; height: 100%; background-color: var(--color-surface); }
.g-ec1c11c8 .g-e1264a6d::after { content: ""; position: absolute; inset: 0; background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%); }
.g-ec1c11c8 .g-e1264a6d img { width: 100%; height: 100%; object-fit: cover; }
.g-ec1c11c8 .g-1b7c2b1e { margin-top: auto; transition: transform 0.2s cubic-bezier(0.4, 0, 0.2, 1); transform: translateY(46px); }
.g-ec1c11c8 .g-f8321d7b { display: inline-flex; flex-wrap: wrap; gap: 4px 8px; }
.g-ec1c11c8 .g-00969e36 { background-color: rgba(0, 0, 0, 0.4); height: 28px; border-radius: 28px; padding: 4px 8px; display: flex; justify-content: center; align-items: center; white-space: nowrap; }
.g-ec1c11c8 .g-5702df59 { margin-top: 8px; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-ec1c11c8 .g-806a4f1a { display: flex; justify-content: space-between; align-items: flex-end; height: 25px; margin-top: 16px; }
.g-ec1c11c8 .g-384a03e3 { display: flex; align-items: center; gap: 8px; }
.g-ec1c11c8 .g-384a03e3:hover { text-decoration: underline; }
.g-ec1c11c8 .g-384a03e3 svg { margin-left: 8px; fill: currentColor; }
.g-ec1c11c8 .g-15e4303c { white-space: nowrap; opacity: 0.8; }
.g-e3f7bcd3 { min-height: 600px; }
.g-e3f7bcd3 .g-40e7fe05 { padding: 48px 40px; }
.g-e3f7bcd3 .g-1b7c2b1e { transform: none; }
@media screen and (max-width: 870px) { .g-e3f7bcd3 { min-height: 368px; }
.g-e3f7bcd3 .g-40e7fe05 { padding: 24px; }
.g-e3f7bcd3 .g-1b7c2b1e { transform: translateY(46px); }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-5a03bba3 { display: grid; grid-template-columns: 1fr 368px; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-5a03bba3 blockquote { border-left: 3px solid var(--color-primary); background-color: var(--color-surface); padding: var(--size-s) var(--size-xs); }
.g-5a03bba3 .g-6815842d { padding: var(--size-s); position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-5a03bba3 .g-bf1006d2 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-5a03bba3 .g-39ab94a6 { margin-top: var(--size-m); }
.g-5a03bba3 .g-8b7cf709 { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-5a03bba3 .g-4414b11b { display: block; text-decoration: none; }
.g-5a03bba3 .g-4414b11b:hover { text-decoration: underline; }
.g-5a03bba3 .g-2b03ea9c { transform: translateX(16px); color: var(--color-text); font-weight: bold; }
@media screen and (max-width: 1024px) { .g-5a03bba3 { grid-template-columns: 1fr; }
.g-5a03bba3 .g-b88bbb8d { order: 1; }
.g-5a03bba3 .g-bde5cf1f { order: 2; }
.g-5a03bba3 .g-39ab94a6 { margin-top: var(--size-s); }
.g-5a03bba3 .g-8b7cf709 { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }

/* Block: post-header (post-header) */
.g-c040c49f { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); margin-top: var(--size-m); }
.g-23291d88 { display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; }
.g-1388096f { display: flex; align-items: center; justify-content: center; }
.g-d6895689 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); flex-wrap: wrap; }
.g-1860aee1 { padding: 8px 16px; height: 37px; border-radius: 37px; background-color: var(--color-surface); display: flex; justify-content: flex-start; align-items: center; gap: 8px; text-decoration: none; transition: filter .2s ease-in-out; }
.g-1860aee1:hover { filter: brightness(0.96); }
.g-8dcf7de5 { margin-top: var(--size-m); }
.g-e18730af { margin-top: var(--size-s); margin-bottom: auto; }
.g-9612d82c { margin-top: var(--size-s); }
@media screen and (max-width: 1024px) { .g-c040c49f { grid-template-columns: 1fr; }
.g-23291d88 { max-width: 70%; }
.g-1388096f { max-width: 70%; display: block; }
.g-1860aee1 { height: 30px; }
 }@media screen and (max-width: 768px) { .g-c040c49f { gap: var(--size-m); }
.g-23291d88 { max-width: 100%; }
.g-1388096f { max-width: 100%; }
.g-e18730af { margin-top: var(--size-xs); }
 }

/* Block: posts-list (posts-list) */
.g-a87c65f6 { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-a87c65f6 { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-a87c65f6 { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-acd4e1bb { text-align: center; }
.g-fde7c6f1 { position: relative; }
.g-52a66d88 { position: absolute; top: 50%; z-index: 10; margin-top: -16px; width: 32px; height: 32px; border-radius: 50%; border: 0; padding: 0; background-color: var(--color-primary); display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-52a66d88:hover { background-color: var(--color-primary); }
.g-76298713 { left: -42px; }
.g-a97fc500 { right: -42px; }
@media screen and (max-width: 1024px) { .g-b5ee66e3 { display: flex; justify-content: center; align-items: center; gap: var(--size-m); margin-top: var(--size-m); }
.g-52a66d88 { position: static; margin-top: 0; }
 }

/* Block: search (search) */
.g-ca877fca { background: var(--color-surface); padding: var(--size-m); border-radius: var(--b-radius); margin-top: var(--size-m); }
.g-ca877fca .g-7c3b9aeb { text-align: center; max-width: 500px; margin: 0 auto; }
.g-ca877fca .g-699ba327 { margin-top: var(--size-m); }
.g-80dff403 { margin-top: var(--size-xl); }
.g-6bbe646c { margin: var(--size-m) auto 0; max-width: 500px; text-align: center; }
@media screen and (max-width: 768px) { .g-ca877fca { padding: var(--size-s); }
 }

/* Block: searchform (searchform) */
.g-68bf8516 { position: relative; display: inline-block; width: 100%; }
.g-68bf8516 .g-ee49e63d { color: var(--color-text); width: 100%; background-color: var(--color-surface); height: 48px; border-radius: 48px; border: 0; box-shadow: inset 0 0 0 2px var(--color-primary); padding: var(--size-xxs) 85px var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-68bf8516 .g-908e7d2e { position: absolute; right: 0; top: 0; height: 100%; z-index: 1; display: flex; justify-content: flex-end; align-items: center; padding: 8px; gap: 8px; }
.g-68bf8516 .g-3d3b8ce5 { border: 0; width: 32px; height: 32px; border-radius: 50%; background-color: var(--color-primary); cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0; transition: opacity .2s ease-in-out; }
.g-68bf8516 .g-3d3b8ce5:hover { opacity: .7; }
.g-68bf8516 .g-f3f40076 { border: 0; padding: 8px; cursor: pointer; display: flex; justify-content: center; align-items: center; transition: opacity .2s ease-in-out; background-color: transparent; }
.g-68bf8516 .g-f3f40076:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-e5432b48 { position: fixed; bottom: 0; opacity: 0; right: 35px; transform: translateY(100%); background-color: var(--color-primary); border: none; width: 40px; height: 62px; border-radius: 20px; cursor: pointer; z-index: 4; transition: 0.3s opacity ease-in-out, 0.3s transform ease-in-out; }
.g-22856985 { fill: var(--color-text-light); }
.g-c440dda7 { opacity: 1; transform: translateY(-35px); }
@media screen and (max-width: 768px) { .g-e5432b48 { transform: scale(0.75); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-da78e5dd { padding: var(--size-xl) 0; }
.g-a4a1ff50 { max-width: 565px; margin: 0 auto; text-align: center; }
.g-3c316e0c { margin-top: var(--size-s); }
.g-91ddc9f6 { margin-top: var(--size-m); }
@media screen and (max-width: 576px) { .g-3c316e0c { margin-top: var(--size-xs); }
.g-91ddc9f6 { margin-top: var(--size-s); }
 }

/* Block: front-page::about--0 (about) */
.g-8865216f { padding: 0; }
@media screen and (max-width: 1280px) { .g-6e7df903 { border-radius: 0; }
 }@media screen and (max-width: 768px) { .g-8865216f { padding: 0 var(--wrapper-padding); }
.g-843a40ba { column-count: 1; }
.g-6e7df903 { border-radius: var(--b-radius); }
 }@media screen and (max-width: 576px) { .g-843a40ba { text-align: center; }
 }

/* Block: front-page::categories-list (categories-list) */
.g-4967df52 { display: inline-flex; flex-wrap: wrap; gap: var(--size-m); }
.g-4967df52 .g-ead4c76e { text-decoration: none; background-color: var(--color-surface); min-height: 54px; padding: 8px 32px; border-radius: 54px; text-align: left; transition: .2s ease-in-out filter; }
.g-4967df52 .g-ead4c76e:hover { filter: brightness(0.96); }
.g-4967df52 .g-d3e7e814 { display: flex; justify-content: flex-start; align-items: center; gap: 16px; height: 100%; }
.g-4967df52 .g-a8fad75f { font-size: 28px; }
@media screen and (max-width: 1024px) { .g-4967df52 { gap: var(--size-s); }
.g-ead4c76e { min-height: 50px; padding: 8px 24px; }
 }@media screen and (max-width: 768px) { .g-4967df52 { gap: var(--size-xs); }
.g-ead4c76e { min-height: 40px; padding: 8px 16px; }
.g-d3e7e814 { gap: 8px; }
 }

/* Block: front-page::featured-posts (featured-posts) */
.g-c72406c3 { margin-top: var(--size-m); }
.g-93bb99eb { margin-top: var(--size-m); }
.g-5ed3ee4b { margin-top: var(--size-xl); }
.g-8235c735 { align-items: stretch; }
.g-d141a5b1 { height: auto; }
.g-a8a885cd { display: flex; justify-content: center; align-items: center; gap: 8px; margin-top: var(--size-s); height: 15px; }
.g-a8a885cd .g-f57e68f6 { width: 12px; height: 12px; margin: 0; border-radius: 50%; background: var(--color-surface); opacity: 1; transition: background .2s ease, transform .2s ease; }
.g-a8a885cd .g-f8237fd5 { background: var(--color-primary); transform: scale(1.2); }
.g-a6ed683e { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }

/* Block: front-page::page-content--0 (page-content) */
.g-90691a2b { margin: var(--section-padding) 0; }

/* Block: contacts-page::page-content--0 (page-content) */
.g-f245d2a2 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-f245d2a2 { padding: var(--size-xs); }
 }

/* Block: contacts-page::form--0 (form) */
.g-91e6bb30 { display: flex; justify-content: flex-start; position: relative; z-index: 1; }
.g-1f7cf789 { width: clamp(23.125rem, 29.2682926829vw + 7.2103658537rem, 30.625rem); flex-shrink: 0; padding: clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) var(--size-s) clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); display: flex; flex-direction: column; align-items: flex-start; justify-content: center; }
.g-4e0127ee { padding: clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); flex: 1; display: flex; flex-direction: column; justify-content: center; }
.g-cddb8ab6 { display: flex; justify-content: flex-start; align-items: center; }
.g-f5133ecc { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; margin-right: var(--size-m); }
.g-128fd5b8 { display: flex; flex-direction: column; }
.g-fcb843d0 { margin-top: -100px; height: clamp(32rem, 13.28125vw + 25.625rem, 36.25rem); }
.g-62351eeb { position: relative; z-index: 1; }
@media screen and (max-width: 870px) { .g-91e6bb30 { flex-direction: column-reverse; }
.g-1f7cf789 { width: 100%; }
 }@media screen and (max-width: 768px) { .g-b8c98193 { width: 100%; display: flex; justify-content: space-between; gap: var(--size-s); }
.g-b8c98193 .g-cddb8ab6 { margin-top: 0; }
.g-cddb8ab6 { align-items: flex-start; flex-direction: column; flex: 1; }
.g-f5133ecc { margin-right: 0; }
.g-128fd5b8 { margin-top: var(--size-xs); }
.g-fcb843d0 { height: clamp(38.75rem, -27.4809160305vw + 45.1908396947rem, 32rem); }
 }@media screen and (max-width: 576px) { .g-1f7cf789 { text-align: center; }
.g-b8c98193 { flex-direction: column; align-items: center; margin-top: var(--size-s); }
.g-cddb8ab6 { align-items: center; }
.g-a0077145 { margin: 0 auto; }
 }

/* Block: about-page::highlights--0 (highlights) */
.g-f8d6cd54 { position: relative; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-s); padding-left: var(--wrapper-padding); }
.g-33b0c376 { flex: 0 1 560px; }
.g-f40af0f7 { flex: 1 1 630px; }
.g-d4796c78 { flex: 1; }
.g-9c6cb539 { display: flex; gap: var(--size-s); flex-wrap: wrap; }
.g-76912a88 { flex: 1; }
.g-07504b8c { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-s); }
.g-dcbef5ea { flex-shrink: 0; width: 44px; height: 44px; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
@media screen and (max-width: 768px) { .g-f8d6cd54 { padding: 0 var(--wrapper-padding); flex-direction: column-reverse; }
.g-33b0c376 { flex: auto; }
.g-f40af0f7 { flex: auto; width: 100%; }
.g-9c6cb539 { margin-top: var(--size-s); }
.g-76912a88 { flex: 1 1 calc(50% - var(--size-s) / 2); }
 }@media screen and (max-width: 1024px) { .g-07504b8c { align-items: flex-start; flex-direction: column; gap: var(--size-xs); }
 }@media screen and (max-width: 576px) { .g-33b0c376 { text-align: center; }
.g-9c6cb539 { flex-direction: column; }
.g-76912a88 { flex: auto; text-align: center; }
.g-07504b8c { align-items: center; }
 }

/* Block: about-page::page-content--0 (page-content) */
.g-f78b3144 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-f78b3144 { padding: var(--size-xs); }
 }

/* Block: expertise::text--0 (text) */
.g-d5de9ce6 { padding: var(--size-xl); }
@media screen and (max-width: 768px) { .g-d5de9ce6 { text-align: center; padding: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-d5de9ce6 { padding: var(--size-s); }
 }

/* Block: expertise::reviews--0 (reviews) */
.g-4e5fcef0 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-72ad7e4b { padding: var(--size-m); box-shadow: var(--shadow); }
.g-165dad18 svg { fill: var(--color-text); }
@media screen and (max-width: 768px) { .g-4e5fcef0 { grid-template-columns: 1fr; }
 }

/* Block: expertise::text--1 (text) */
.g-26fbd915 { text-align: center; }

/* Block: expertise::about--0 (about) */
.g-c55b4872 { padding: 0; }
@media screen and (max-width: 1280px) { .g-6029b58d { border-radius: 0; }
 }@media screen and (max-width: 768px) { .g-c55b4872 { padding: 0 var(--wrapper-padding); }
.g-b9f70325 { column-count: 1; }
.g-6029b58d { border-radius: var(--b-radius); }
 }@media screen and (max-width: 576px) { .g-b9f70325 { text-align: center; }
 }

/* Block: expertise::text--2 (text) */
.g-6578f6bf { column-count: 2; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-a49de661 { text-align: center; }
.g-6578f6bf { column-count: 1; }
 }